/*
 * Figshare API
 *
 * Figshare apiv2. Using Swagger 2.0
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package swagger

type CollectionSearch struct {

	// Search term
	SearchFor string `json:"search_for,omitempty"`

	// Page number. Used for pagination with page_size
	Page int64 `json:"page,omitempty"`

	// The number of results included on a page. Used for pagination with page
	PageSize int64 `json:"page_size,omitempty"`

	// Number of results included on a page. Used for pagination with query
	Limit int64 `json:"limit,omitempty"`

	// Where to start the listing(the offset of the first result). Used for pagination with limit
	Offset int64 `json:"offset,omitempty"`

	// Direction of ordering
	OrderDirection string `json:"order_direction,omitempty"`

	// only return collections from this institution
	Institution int32 `json:"institution,omitempty"`

	// Filter by article publishing date. Will only return articles published after the date. date(ISO 8601) YYYY-MM-DD
	PublishedSince string `json:"published_since,omitempty"`

	// Filter by article modified date. Will only return articles published after the date. date(ISO 8601) YYYY-MM-DD
	ModifiedSince string `json:"modified_since,omitempty"`

	// only return collections from this group
	Group int32 `json:"group,omitempty"`

	// Only return collections with this resource_doi
	ResourceDoi string `json:"resource_doi,omitempty"`

	// Only return collections with this doi
	Doi string `json:"doi,omitempty"`

	// Only return collections with this handle
	Handle string `json:"handle,omitempty"`

	// The field by which to order.
	Order string `json:"order,omitempty"`
}
