/*
 * Figshare API
 *
 * Figshare apiv2. Using Swagger 2.0
 *
 * API version: 2.0.0
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package swagger

type ProjectCompletePrivate struct {

	// Role inside this project
	Role string `json:"role,omitempty"`

	// Project storage type
	Storage string `json:"storage,omitempty"`

	// Api endpoint
	Url string `json:"url"`

	// Project id
	Id int64 `json:"id"`

	// Project title
	Title string `json:"title"`

	// Project funding
	Funding string `json:"funding"`

	// Full Project funding information
	FundingList []FundingInformation `json:"funding_list"`

	// Project description
	Description string `json:"description"`

	// List of project collaborators
	Collaborators []Collaborator `json:"collaborators"`

	// Project quota
	Quota int64 `json:"quota"`

	// Project used quota
	UsedQuota int64 `json:"used_quota"`

	// Date when project was created
	CreatedDate string `json:"created_date"`

	// Date when project was last modified
	ModifiedDate string `json:"modified_date"`

	// Project private quota used
	UsedQuotaPrivate int64 `json:"used_quota_private"`

	// Project public quota used
	UsedQuotaPublic int64 `json:"used_quota_public"`

	// Group of project if any
	GroupId int64 `json:"group_id"`

	// ID of the account owning the project
	AccountId int64 `json:"account_id"`

	// Collection custom fields
	CustomFields []CustomArticleField `json:"custom_fields"`
}
